/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbplugin.installer;

import org.apache.commons.io.FileUtils;
import java.io.File;
import java.io.IOException;

/**
 * File SQL script implementation of {@link com.celum.dbplugin.installer.SqlScript}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class FileSqlScript extends SqlScript
{
	/** points to file where is SQL script */
	private final File scriptFile;


	/**
	 * Constructor
	 * @param scriptFile
	 */
	public FileSqlScript(File scriptFile)
	{
		super(scriptFile.getName());
		this.scriptFile = scriptFile;
	}


	/**
	 * returns file's content
	 * @return
	 */
	@Override
	public String asText()
	{
		try {
			return FileUtils.readFileToString(scriptFile);
		} catch (IOException e) {
			throw new IllegalStateException(e);
		}
	}
}
