/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbplugin.installer;

/**
 * You will implement this class when you want reacting on
 * {@link SqlInstaller installer's} events.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface SqlInstallerEventHandler
{
	/**
	 * Method is invoked when installer start SQL script execution
	 * @param sqlScript
	 * @return
	 */
	public SqlScript onProcessScript(SqlScript sqlScript);

	/**
	 * Method is invoked for each SQL statement executed on DB
	 * @param sql
	 * @return
	 */
	public String onExecuteSql(String sql);

	/**
	 * Method is invoked when exception has been thrown
	 * during SQL execution.
	 *
	 * @param e
	 */
	public void onError(Throwable e);
}
