/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbplugin.installer;

/**
 * representing SQL script.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public abstract class SqlScript implements Comparable<SqlScript>
{
	private final String id;

	protected SqlScript(String id)
	{
		this.id = id;
	}

	public String getId()
	{
		return id;
	}

	public abstract String asText();


	@Override
	public int compareTo(SqlScript o)
	{
		return this.getId().compareTo(o.getId());
	}
}
